using Microsoft.EntityFrameworkCore;
using System;
using System.Collections.Generic;
using System.ComponentModel.DataAnnotations;
using System.ComponentModel.DataAnnotations.Schema;
using System.Linq;
using System.Threading.Tasks;

namespace Models
{
    /// <summary>
    /// 高*飞需求创建
    /// </summary>
    [Table("TBL_CSERIES_PROJECTROOMLISTS")]
    public class TBL_CSERIES_PROJECTROOMLISTS
    {
        /// <summary>
        /// ID索引
        /// </summary>
        [Key, Column(TypeName = "int"), Comment("自增长"), DatabaseGenerated(DatabaseGeneratedOption.Identity)]
        public int ID { get; set; }

        /// <summary>
        /// 项目编号
        /// </summary>
        [ Column(TypeName = "int"), Comment("项目编号")]

        public int? PROJECTNUMBER { get; set; }

        /// <summary>
        /// 房间编号
        /// </summary>
        [ Column(TypeName = "nvarchar(20)"), Comment("房间编号")]
        public string ROOMNUMBER { get; set; }

        /// <summary>
        /// 房型
        /// </summary>
        [ Column(TypeName = "nvarchar(20)"), Comment("房型")]
        public string ROOMTYPE { get; set; }

        /// <summary>
        /// 当前状态
        /// </summary>
        [ Column(TypeName = "nvarchar(20)"), Comment("当前状态")]

        public string CURRENTSTATE { get; set; }

        /// <summary>
        /// 主机MAC地址
        /// </summary>
        [ Column(TypeName = "nvarchar(50)"), Comment("主机MAC地址")]
        public string HOSTMAC { get; set; }

        /// <summary>
        /// 配置版本号
        /// </summary>
        [ Column(TypeName = "nvarchar(50)"), Comment("配置版本号")]

        public string CONFIGVERSION { get; set; }

        /// <summary>
        /// 最后一次通讯时间
        /// </summary>
        [ Column(TypeName = "nvarchar(50)"), Comment("最后一次通讯时间")]

        public string LASTCOMMTIME { get; set; }

        /// <summary>
        /// 备注
        /// </summary>
        [Column(TypeName = "nvarchar(520)"), Comment("备注")]
        public string REMARKS { get; set; }

    }
}
